Subject: RE: Reconvergence micro-loops: problem and solutions overview

From: "Don Fedyk" <[email-masked]>
Date: Fri, 1 Oct 2004 13:53:04 -0400

Hi Alex

I agree with your comment. I believe we need to let Stewart and Mike answer
where the requirement came from because it comes from their draft and
presentation to the WG.  

By the way, I think the full description is 100% coverage during router
convergence after single link failures. The fraction of time a network is
converging versus stable is usually small.  The fraction of single link
failures compared to  other type of failures tends to be higher. It might be
worth capturing all of these statistics to get a perspective. 

Regards, 
Don 

> -----Original Message-----
> From: Alex Zinin [mailto:[email-masked]] 
> Sent: Friday, October 01, 2004 12:42 PM
> 
> Alia, folks
> 
> Wednesday, September 29, 2004, 9:21:51 PM, Alia Atlas wrote: ...
> > The claim that only the tunnel egress needs to understand this 
> > mechanism appears to conflict with the argument being made 
> that 100% 
> > coverage without any network change is utterly critical and 
> worth any 
> > complexity.
> 
> I'd like to understand where this "100% without any network 
> change" requirement is coming from. While I understand the 
> desire to maximize coverage, I also have learned a while ago 
> that trying to get that 100 or solve every corner case often 
> comes at the price of greater complexity. I'm sure service 
> providers knows even better than I do, so I'm wondering what 
> the reasons behind this requirement are.
> 
> Alex
> 
> 
> 

_______________________________________________
Rtgwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rtgwg

---

From: Alex Zinin <[email-masked]>
Date: Wed, 6 Oct 2004 18:09:43 -0700

Stewart, any comments?

-- 
Alex
http://www.psg.com/~zinin

---

From: Olivier Bonaventure <[email-masked]>
Date: 07 Oct 2004 10:28:38 +0200

Don,
> worth capturing all of these statistics to get a perspective. 

There are a few papers about the analysis of link failures in ISP
networks, see e.g. :

Athina Markopoulou and Gianluca Iannaccone and Supratik Bhattacharyya
and Chen-Nee Chuah and Christophe Diot (2004).
Characterization of Failures in an IP Backbone.
In: To appear in IEEE Infocom. Hong Kong. March 2004.
http://ipmon.sprint.com/pubs_trs/webpages/ATLPUB.php

D. Watson, C. Labovitz, and F. Jahanian, "Experiences with monitoring
OSPF on a regional service provider network," in Proc. International
Conference on Distributed Computing Systems, pp. 204--213, May 2003.
http://citeseer.ist.psu.edu/667063.html 

In the Sprint paper, the authors note that 70% of the unplanned failures
are link failures while 30% are shared failures. Half of those shared
failures affect links connected to a single router and the other half
links connected to the same optical infrastructure.

Of course, those results are network dependent and not all networks are
designed like Sprint.

Olivier
-- 
CSE Dept. UCL, Belgium - http://www.info.ucl.ac.be/people/OBO/